#
# spec file for package python-merengue
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-merengue
Version:        0.9.0
Release:        1.32
Summary:        Django-based CMS on Steroids
License:        LGPL-3.0
Group:          Development/Languages/Python
Url:            http://www.merengueproject.org/
Source:         http://pypi.python.org/packages/source/m/merengue/merengue-%{version}.tar.gz
# PATCH-FIX-OPENSUSE -- Don't install non-program files such as documentation as "data files"
Patch0:         merengue-0.9.0-data_files.patch
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-beautifulsoup
Requires:       python-cmsutils
Requires:       python-cssutils
Requires:       python-django
Requires:       python-django-ajax-selects
Requires:       python-django-announcements
Requires:       python-django-autoreports
Requires:       python-django-configfield
Requires:       python-django-debug-toolbar
Requires:       python-django-extensions
Requires:       python-django-form-admin
Requires:       python-django-genericforeignkey
Requires:       python-django-inlinetrans
Requires:       python-django-inplaceedit
Requires:       python-django-mptt
Requires:       python-django-notification
Requires:       python-django-oembed
Requires:       python-django-oot
Requires:       python-django-pagination
Requires:       python-django-south
Requires:       python-django-stdfile
Requires:       python-django-tagging
Requires:       python-django-template-utils
Requires:       python-django-threadedcomments
Requires:       python-django-transmeta
Requires:       python-django_compressor
Requires:       python-encutils
Requires:       python-feedparser
Requires:       python-imaging
Requires:       python-johnny-cache
Requires:       python-searchform
Requires:       python-sorl-thumbnail
Requires:       python-transhette
Requires:       python-twitter
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%else
BuildArch:      noarch
%endif

%description
Merengue is a full-featured and pluggable CMS designed for creating websites,
writing less code and mantaining clean, elegant and re-usable code.

More information in http://www.merengueproject.org/

%prep
%setup -q -n merengue-%{version}
%patch0 -p1
find . -type f | xargs touch

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Remove lang source files from python site-packages
find %{buildroot} -type f -name "*.po" -delete -print
# Remove executable bits of documentation files
chmod a-x conf/scripts/{update,nginxctl,merengue}

%fdupes -s %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES COPYING.* LICENSE README conf docs
%{_bindir}/merengue-admin.py
%{python_sitelib}/*

%changelog
* Sun Dec  8 2013 p.drouand@gmail.com
- Update to version 0.9.0
  + Merge custommeta plugin into core plugin and refactor merengue so
    every portal will be able to use custom meta pages. See #2365.
  + Add the anonymous user of view of the menus. See #2366.
  + Fix adding group to roles when settings the permissions of an object
    See #2364.
  + Support configurable plain text generation for all contents, useful
    for indexing in search engines. See #1088.
  + Refactor standingout plugin to improve its use inside sections or
    microsites. See #2358.
  + Add support for django message framework instead of using the old
    cmsutils.log. See #2362.
  + Catch SMTP exceptions, which are sent to the user. See #2361.
  + Extend global model admins (no related ones) change permission to
    users that own contents or are owners of a section/microsite. See #2360.
  + Add searchform to merengue jsi18n catalog. See #2359.
  + Section owners now are able to edit any related content to the section.
    See #2357.
  + Fix contactform opts bug when filling name field. See #2355.
  + Restricted admin of basesection. See #2356.
  + Add order in standingout categories. See #2354.
  + Fix javascript comparisons. See #2352.
  + In contactform plugin fields order is the same that admin interface.
    See #2351.
  + Rename file names with accents in filebrowser plugin to avoid
    problems. See #2349.
  + Fixed statistics error in piwik plugin. See #2348.
  + Avoid problems when trying to save a CMYK image as PNG. See #2347.
  + Fix breadcrumbs signature in plugins and base objects. See #2345.
  + Create plugins to set meta title, description and keywords to any page.
    See #2341.
  + Updated saml2 plugin to work with djangosaml2-0.6.1. See #2335.
  + Allow staff users to access model admins of the objects they own.
    See #2343.
  + Sort contents inside a contentgroup in contentmenu plugin.
    See #2334.
  + Fix bug in collection limit. See #2331.
  +  Now the contact form block if the form has error is not cacheable.
    See #2329.
  + Fix calendar block when changing months. See #2330.
  + Customizable section views for developers. See #2324.
  + Enable plugins before any other merengue middleware. See #2325.
  + Improve contactform plugin. Add a name field to the options of a contact
    form so you can identify options by using their name instead of 'option_N'.
    See #2326.
  + The link of the custom portlet plugin is now optional. See #2327.
  + Update django-compressor to the 1.1.2 release. See #2328.
  + Allow to overwrite the default content commentable behaviour with a
    CONTENT_COMMENTABLE_BY_DEFAULT setting. See #2317.
  + Add a category filtered block in banner plugin. See #2316.
  + Add links into a microsite. See #2312.
  + Implement a method that allows sections to insert css classes into body.
- Adapt data_files.patch to upstream changes
- Remove obsoletes conditionnal macros
- Remove sources of language files of python site-package directory
- Remove executable bits of scripts in documentation directory
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Apr 10 2012 jfunk@funktronics.ca
- Update to 0.8.2:
  * Fixed an UnicodeDecodeError caused by transmeta 0.6.7 version. See #2308
* Tue Mar 20 2012 jfunk@funktronics.ca
- Update to 0.8.1:
  * Fixed a weird error when registering new plugins. See #2229.
  * Improved setup.py keywords to improve searching on pypi. See #2284.
* Thu Jan 12 2012 jfunk@funktronics.ca
- Update to 0.8.0 final:
  * More Selenium tests. See #2136 and #1746.
  * Invalid the block cache when user edit a block using inline edit. See
    [#2242].
  * SEO improvements, with sitemap.xml generation. See #2248.
  * Included merengue/media in the synchronized media when you executes
    sync_apps_media command. See #2243.
  * Including expire headers in nginx configuration in the install
    documentation. See #377.
  * Incluiding inline edit to highlight plugin. See #2246.
  * Complete view for reporting a permission denied to the user and manager.
    See #2151.
  * More translations. See #2.
  * Unfrozen recaptcha client dependence in contactform plugin. See #2267.
  * Added cache block in render_single_block tag. See #2269.
  * Hided 3d images and panoramic views, because are not fully implemented in
    Merengue. See #2275.
  * New Debug Toolbar panel with blocks information for profiling purposes.
    See #2276.
  * "Cache invalidation" permission to have a more grained authorization.
    Fixes #2277.
  * Vast improvement in Merengue performance:
    + Menu.get_section improvement. See #2233.
    + Edit inline improvement. See #2234.
    + RSS plugin caching. See #2235.
    + Block cache is more efficient. See #2236.
    + getEventsMonthYear improvement. See #2238.
    + MenuBlock improvement. See #2241.
  * Bugfixes:
    + Fixed inplaceeditform error with text fields whose font size is not
    integer. See #2222.
    + Flowplayer error fixed in IE. See #2224.
    + Fixed error when CSS and JS compression is enabled. See #2223.
    + Fixed permission error in object when the passed object is None. See
    [#2110].
    + Improved the inplace edit logic to check the "edit" permission. See
    [#2230].
    + Some layout error. See #2217.
    + User is able to edit the blocks that are non cacheables. See #2237.
    + Fixed some migrations when executed in very old merengue sites. See
    [#2244].
    + Now the render_single_block works with ContentBlock. See #2252.
    + Make sure the unit tests run with dummy cache. See #2254.
    + Registry cache should not set cache when empty elements found. See
    [#2255].
    + Fixed "save and restore config" issues. See #2189 and #918.
    + Fixed the inline edit when it's used with the intro button to save
    changes. See #2256.
    + Fixed permission test suite, related to a caching invalidation error.
    See #2253.
    + Avoid 301 redirect caching by some browser like Chrome or Firefox 3.5+.
    See #2220.
    + Error in AJAX request in the collection admin when the collection is
    inside a section. See #2260.
    + Error when installing some plugins after uninstalling them without
    server reloading. See #2262.
    + Removing some absolute references between CSS and the images. See #2264.
    + Now the contactform plugin works if this loaded with ajax, although this
    is not a default behaviour. See #2268.
    + Fixed a migration when GIS is disabled. See #2271.
    + Frozen django-mptt and django-ajax-selects packages because are now
    backward incompatibles. See #2278 and #2279.
- Version 0.8.0-rc2:
  * Fixed migration in MySQL databases. See #2215.
  * New non addable blocks. See #2147.
  * Optimized Merengue registry. See #2142.
  * Optimized permissions system. See #1322.
  * Optimized SQL sentences. See #2144.
  * Changed plugin detection implementation to make it works in all
    environments (deployments). This approach removes using a external
    process. See #2158.
  * Removed the --develop option in startproject command. By default the
    merengue will be symlinked. See #2148.
  * Completed spanish translations. See #2.
  * Completed and reviewed the documentation. See #377.
  * Changed JW Player to flowplayer, which is completely free. See #2199.
  * New MERENGUE_MAX_FILE_SIZE and MERENGUE_MAX_IMAGE_SIZE parameters to
    restrict the size of uploaded files. See #2185.
  * Reduced size of test data. See #2141.
  * Added anchor button to the tinyMCE.
  * Improved and fixing the Yaco theme look&feel. See #1990.
  * Include spellchecking in the visual editor, that will be in English by
    default.
  * Selenium tests for permission system. See #2136.
  * Make customizable the reviewers who will receive the review task
    notifications. See #2193.
  * The tags are now comma separated. See #2155.
  * Sortable fields for search form. See #2175.
  * Used autocompletion widget to select the main content of a section. See
    [#2115].
  * New max_num_items parameter to the MenuBlock which collapse any menu
    branch if the number of children became higher than the parameter. See
    [#2161].
  * Make a revision of all the CSS. See #2135.
  * Make the workflow statuses translatables. See #2212.
  * Allowed categories in the slideshow. See #2213. See #1983.
  * A lot of bugfixes:
    + Fixed an error in contentmenu. See #2083.
    + Removed by default a not very useful action (can be activated later).
    See #2032.
    + Sanitize internal links filters. See #2190.
    + Fixed the order in the forum index. See #2191.
    + Fixed the change_status admin action, which fails when it is done by a
    non superuser. See #2192.
    + Make piwik plugin more robust when piwik doesn't return nothing. See
    [#1573].
    + Fixed error detecting saml plugin when no have python-saml2 installed.
    See #2201.
    + Restrict selectable multimedia contents to the owned ones. See #2150.
    + Feed items automatically created should be published. See #2157.
    + Fixed itags listing which fails in some circunstances. See #2162.
    + Fixed some errors in standingout plugin. See #2167.
    + Fixed addthis plugin language. See #2168.
    + Fixed CSRF problem in inplace edit form.
    + Fixed the syncdb --migrate command when a migration saves a plugin. See
    [#2178].
    + Restrict by permissions the content you can link to a multimedia asset.
    See #2150.
    + Make djangosaml2 application required for installing saml2 plugin. See
    [#2180].
    + Showed an admin link when menu view doesn't point to anywhere. See #2164
    + Some IE CSS bugfixes.
    + Fixed a problem with the latest BeautifulSoap version. See #2209. Thanks
    to Paul Sabou.
    + Make MemoizeCache (used for permissions, roles and registry cache)
    consistent in multithread environments. See #2214.
    + The url of the banner should not be verifiable. See #2219
* Wed Aug 31 2011 saschpe@suse.de
- Use proper version check around fdupes to fix build on SLE
- Remove some unneeded stuff (sitearch and co)
* Wed Jul 27 2011 jfunk@funktronics.ca
- Initial release
